import InterfaceMainService from '../../../core/interface.main.service';
import { CreateUserInput } from '../dto/create-user.input';
import { ObjectLiteral } from 'typeorm';
import { ChangePasswordUserInput } from '../dto/change-password-user.input';
export interface InterfaceUserService<T extends ObjectLiteral> extends InterfaceMainService<T> {
    doCreate(data: CreateUserInput): Promise<T>;
    doChangePassword(userId: string, data: ChangePasswordUserInput): Promise<T>;
    doResetUser(userId: string): Promise<T>;
}
